/**
 * WHAT IS THIS FILE?
 *
 * Globally applied styles. No matter which components are in the page or matching route,
 * the styles in here will be applied to the Document, without any sort of CSS scoping.
 *
 */
@import 'multiselect-dropdown/multiselect-dropdown.css';

@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --qwik-dark-blue: #006ce9;
  --qwik-light-blue: #18b6f6;
  --qwik-light-purple: #ac7ff4;
  --qwik-dark-purple: #713fc2;
}

body {
  background-color: #fafafa;
  min-height: 100vh;
  font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, sans-serif;
}

main {
  background-color: #fafafa;
  border-radius: 5px;
  overflow: hidden;
  min-height: 100vh;
}

h1,
h2 {
  margin: 0 0 5px 0;
}

section {
  max-width: 760px;
  @apply
  mx-auto
  px-4;
}

section#playground {
  max-width: 100vw;
  @apply
  mx-auto
  px-4;
}

.qwickstat {
  max-width: 380px;
  @apply
  mx-auto
  px-4;
}

a,
a:visited {
  color: var(--qwik-dark-blue);
}

a:hover {
  text-decoration: none;
}

footer {
  text-align: center;
  font-size: 0.8em;
  @apply
  mt-4
  pb-10
  pt-5
  border-t
  border-red-900
  shadow-inner;
}

footer a {
  text-decoration: none;
}

footer a:hover {
  text-decoration: underline;
}

footer img {
  @apply
  h-16
  mx-auto
  mb-3;
}

.multiselect-fix input {
  @apply
  rounded-lg
  bg-white
  text-sm
  text-black
  h-10;
}

.multiselect-fix div:first-child {
  @apply
  h-10;
}

.multiselect-fix div.group div:first-child {
  @apply
  rounded-l-lg;
}

.multiselect-fix div.group div:last-child {
  @apply
  rounded-r-lg;
}
